"""empty message

Revision ID: d019f1080130
Revises: 
Create Date: 2022-08-09 16:41:32.330665

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "d019f1080130"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "auth_role",
        sa.Column("_id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.Column("perms", sa.JSON(), nullable=True),
        sa.PrimaryKeyConstraint("_id"),
        sa.UniqueConstraint("name"),
    )
    op.create_table(
        "auth_user",
        sa.Column("_id", sa.Integer(), nullable=False),
        sa.Column("username", sa.String(length=255), nullable=False),
        sa.Column("password", sa.String(length=255), nullable=True),
        sa.Column("email", sa.String(length=255), nullable=False),
        sa.Column("is_disabled", sa.Boolean(), nullable=True),
        sa.Column("is_staff", sa.Boolean(), nullable=True),
        sa.Column("is_super_user", sa.Boolean(), nullable=True),
        sa.Column("created_on", sa.DateTime(), nullable=True),
        sa.Column("role_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["role_id"],
            ["auth_role._id"],
        ),
        sa.PrimaryKeyConstraint("_id"),
        sa.UniqueConstraint("email"),
    )
    op.create_index(
        op.f("ix_auth_user_username"), "auth_user", ["username"], unique=True
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_auth_user_username"), table_name="auth_user")
    op.drop_table("auth_user")
    op.drop_table("auth_role")
    # ### end Alembic commands ###
